Loading...
Searching...
No Matches
casacore::FitsLogical Class Reference
fits package (libcasa_fits) » FITS_module

FITS helper class. More...

`#include <fits.h>`

## Public Member Functions

| FitsLogical ()
| FitsLogical (Bool x)
FitsLogical & | operator= (Bool x)
void | undefine ()
| ARO 2021-02-20: Removed the following function, because it seems incorrectly implemented and isn't used.
| operator Bool () const

## Protected Attributes

char | v

## Friends

ostream & | operator<< (ostream &o, const FitsLogical &)

## Detailed Description

FITS helper class.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

FitsLogical is a helper class that is not intended for general use.

### Example

Here is an example of the FitsLogical class.

FitsLogical x;
FitsLogical y(True);
FitsLogical z = x;
..\.
x = y; y = False; x.undefine();
Bool b;
if (x.isdefined())
b = x;
b = y; If y is undefined, b will be false.
casacore::FitsLogical::undefine
void undefine()
ARO 2021-02-20: Removed the following function, because it seems incorrectly implemented and isn't us...
Definition fits.h:98
casacore::FitsLogical::FitsLogical
FitsLogical()
Definition fits.h:91
casacore::False
const Bool False
Definition aipstype.h:42
casacore::Bool
bool Bool
Define the standard types used by Casacore.
Definition aipstype.h:40
casacore::True
const Bool True
Definition aipstype.h:41

Definition at line 88 of file fits.h.

## Constructor & Destructor Documentation

## FitsLogical() [1/2]

casacore::FitsLogical::FitsLogical | ( |  | ) |

inline

Definition at line 91 of file fits.h.

References v.

Referenced by operator<<, and operator=().

## FitsLogical() [2/2]

casacore::FitsLogical::FitsLogical | ( | Bool | x | ) |

inline

Definition at line 92 of file fits.h.

References casacore::True, and v.

## Member Function Documentation

## operator Bool()

casacore::FitsLogical::operator Bool | ( |  | ) | const

inline

Definition at line 99 of file fits.h.

References v.

## operator=()

FitsLogical & casacore::FitsLogical::operator= | ( | Bool | x | ) |

inline

Definition at line 93 of file fits.h.

References FitsLogical(), casacore::True, and v.

## undefine()

void casacore::FitsLogical::undefine | ( |  | ) |

inline

ARO 2021-02-20: Removed the following function, because it seems incorrectly implemented and isn't used.

Bool isdefined() const { return v == '\0' ? True : False; }

Definition at line 98 of file fits.h.

References v.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | o,
|  | const FitsLogical & | )

friend

References FitsLogical().

## Member Data Documentation

## v

char casacore::FitsLogical::v

protected

Definition at line 101 of file fits.h.

Referenced by FitsLogical(), FitsLogical(), operator Bool(), operator=(), and undefine().

The documentation for this class was generated from the following file:

- fits/FITS/fits.h